#ifdef HAVE_CONFIG_H
#  include "../config.h"
#endif

#include <gtk/gtk.h>
#include <stdlib.h>
#include <time.h>

#include "../include/funcvar.h"
#include "../include/widget.h"
#include "../include/support.h"

void choix_couleur_clicked (int color_id)
{                         
       deselect_visual_change(color_used);       
       color_used = color_id;      
       select_visual_change(color_used);
}

void propx_clicked (int prop_id)
{
  if(prop_id - 4*proposition < 4 && prop_id - 4*proposition >=0) //verifier qu'on est a la bonne ligne et pas apres NI avant
  {
            
       switch(color_used) //affichage
       {
              case 0: gtk_image_set_from_file         (GTK_IMAGE(prop[prop_id]), "images/bbleue.gif");break;
              case 1: gtk_image_set_from_file         (GTK_IMAGE(prop[prop_id]), "images/bverte.gif");break;
              case 2: gtk_image_set_from_file         (GTK_IMAGE(prop[prop_id]), "images/bjaune.gif");break;
              case 3: gtk_image_set_from_file         (GTK_IMAGE(prop[prop_id]), "images/brouge.gif");break;
              case 4: gtk_image_set_from_file         (GTK_IMAGE(prop[prop_id]), "images/bgris.gif");break;
              case 5: gtk_image_set_from_file         (GTK_IMAGE(prop[prop_id]), "images/bmarron.gif");break;
              case 6: gtk_image_set_from_file         (GTK_IMAGE(prop[prop_id]), "images/bviolet.gif");break;
              case 9: break;
       }
  
  //store un truc utilisable
  lastprop[(prop_id%4)]=color_used;
  }

}

void on_bnouveau_clicked                    (GtkButton  *button, gpointer  user_data)
{
   // gdk_window_set_cursor(Fmain->window, NULL);	// CURSOR reset !
   nettoyage_table();
   nouvelle_combinaison();
   en_cours = 1; //nouvelle partie en cours

}

void on_bscore_clicked                   (GtkButton *button, gpointer user_data)
{
     if(!Fscore)
         create_Fscore();
     gtk_widget_show(Fscore);  
     show_top10();     
}

void on_bval_clicked                        (GtkButton       *button,gpointer         user_data)
{
  if(en_cours)
      verifier_combinaison();
}


void on_b_perdu_clicked                     (GtkButton       *button, gpointer         user_data)
{
 gtk_widget_hide(f_perdu);
}


void on_b_gagne_clicked                     (GtkButton       *button, gpointer         user_data)
{
   if(isclassable()==1)
      gtk_widget_show (f_nhs);
          
   gtk_widget_hide (f_gagne);
   en_cours = 0;    
}


void on_bnhs_quit_clicked                   (GtkButton       *button, gpointer         user_data)
{
   get_player_name();
   tri_n_savescore();     
   gtk_widget_hide (f_nhs);
}
